## konqueror 25.12.1+p24.04+vstable+git20260106.1539

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260106.1539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 15:39:52 +0000

konqueror (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:38 +1000
