## konqueror 25.12.1+p24.04+vstable+git20260107.0842

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260107.0842-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:43:00 +0000
