## konqueror 25.12.1+p24.04+vstable+git20260130.0848

=== debian/changelog ===
konqueror (4:25.12.1+p24.04+vstable+git20260130.0848-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:48:48 +0000
