=== settings/CMakeLists.txt ===
add_subdirectory(konq)
add_subdirectory(konqhtml)
add_subdirectory(performance)
add_subdirectory(bookmarks)
add_subdirectory(speeddial)
