=== webenginepart/src/about/CMakeLists.txt ===
install(FILES
    top-left-konqueror.png
    launch.html
    intro.html
    tips.html
    plugins.html
    plugins_rtl.html
    speeddial.html
    konq.css
    kde_infopage.css
    kde_infopage_rtl.css
    speeddial.css
    body-background.png
    box-middle-left.png
    box-middle-right.png
    top-middle.png
    box-top-left.png
    box-bottom-left.png
    box-top-middle.png
    box-bottom-middle.png
    box-top-right.png
    box-bottom-right.png
    box-center.png
    DESTINATION ${KDE_INSTALL_DATADIR}/konqueror/about)
